"""
A single Surface with multiple rectangles is a SpriteSheet. Each
rectangle can be extracted individually as a sprite, or the rectangles
can be used as anchor-points for grafting together sprites.
(C) Copyright 2004 James Paige & Hamster Republic Productions

This file is part of Open Leaping Lemmings.
http://HamsterRepublic.com/games/leaping/

Open Leaping Lemmings is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as published
by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Open Leaping Lemmings is distributed in the hope that it will be fun,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Open Leaping Lemmings in the file license.txt ;
if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
"""

########################################################################

# standard libraries

# additional libraries
import pygame
from pygame.locals import *
# local libraries

########################################################################

class SpriteSheet:
    """A single Surface with multiple rectangles is a SpriteSheet. Each
    rectangle can be extracted individually as a sprite, or the rectangles
    can be used as anchor-points for grafting together sprites."""
    
    def __init__(self):
        self.surface = Surface()
        self.rect = Rect()

########################################################################
